require 'tour_migrator/version'
require 'tour_migrator/floorplan'
require 'tour_migrator/scene_tagger'
require 'tour_migrator/scene_prealigner'
require 'nokogiri'

module TourMigrator
  def self.migrate_tour(old_tour_path, new_tour_path)
    bin_dir = __dir__
    shell_script_path = File.join(bin_dir, '..', 'exe', 'migrate_tour')

    puts '*' * 80
    puts "#{shell_script_path} \"#{old_tour_path}\" \"#{new_tour_path}\""

    output = `#{shell_script_path} "#{old_tour_path}" "#{new_tour_path}"`

    raise "migrate_tour script errored!\noutput:\n#{output}" if $?.exitstatus != 0

    output
  end
end
