module TourMigrator
  class ScenePrealigner
    def self.perform(scene_xml, prealign_x: 0, prealign_y: 0, prealign_z: 0)
      # 1. Set prealign on the image
      image = scene_xml.css('image').first

      current_x, current_y, current_z = (image['prealign'] || '0|0|0').split('|').map(&:to_f)

      new_x = current_x + prealign_x
      new_y = current_y + prealign_y
      new_z = current_z + prealign_z

      image['prealign'] = [new_x, new_y, new_z].join('|')

      # 2. re-position all hotspots of this scene

      scene_xml.css('hotspot').each do |hotspot|
        hotspot['ath'] = hotspot['ath'].to_f + new_y
        hotspot['atv'] = hotspot['atv'].to_f + new_x
      end

      scene_xml
    end
  end
end
